curl --request PUT \ --url https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "name": "Support Team Coach", "description": "Coaches the support team after every evaluation", "is_active": true, "is_default": false, "coaching_tone": "supportive", "coaching_frequency": "immediate", "auto_trigger_threshold": 70, "language": "English", "include_positive_feedback": true, "include_actionable_steps": true, "include_resources": true, "general_guidelines": "Always start with positive feedback. Be specific with examples.", "coaching_templates": [ { "name": "Low Score Performance", "template": "Let's review this call together. I noticed a few areas where small changes can make a big difference...", "scenario": "When agent scores below 60%", "tone": "supportive", "is_custom": true } ], "training_examples": [ { "issue": "Agent scored 55% due to poor greeting and rushed resolution", "coaching": "I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding." } ], "resource_library": [ { "title": "Active Listening Basics", "type": "video", "url": "https://example.com/active-listening", "description": "A 10-minute video on letting customers finish their thoughts.", "topics": "empathy, listening, interruptions" } ]}EOF
import requests
url = "https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}"
payload = {
"name": "Support Team Coach",
"description": "Coaches the support team after every evaluation",
"is_active": True,
"is_default": False,
"coaching_tone": "supportive",
"coaching_frequency": "immediate",
"auto_trigger_threshold": 70,
"language": "English",
"include_positive_feedback": True,
"include_actionable_steps": True,
"include_resources": True,
"general_guidelines": "Always start with positive feedback. Be specific with examples.",
"coaching_templates": [
{
"name": "Low Score Performance",
"template": "Let's review this call together. I noticed a few areas where small changes can make a big difference...",
"scenario": "When agent scores below 60%",
"tone": "supportive",
"is_custom": True
}
],
"training_examples": [
{
"issue": "Agent scored 55% due to poor greeting and rushed resolution",
"coaching": "I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding."
}
],
"resource_library": [
{
"title": "Active Listening Basics",
"type": "video",
"url": "https://example.com/active-listening",
"description": "A 10-minute video on letting customers finish their thoughts.",
"topics": "empathy, listening, interruptions"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Support Team Coach',
description: 'Coaches the support team after every evaluation',
is_active: true,
is_default: false,
coaching_tone: 'supportive',
coaching_frequency: 'immediate',
auto_trigger_threshold: 70,
language: 'English',
include_positive_feedback: true,
include_actionable_steps: true,
include_resources: true,
general_guidelines: 'Always start with positive feedback. Be specific with examples.',
coaching_templates: [
{
name: 'Low Score Performance',
template: 'Let\'s review this call together. I noticed a few areas where small changes can make a big difference...',
scenario: 'When agent scores below 60%',
tone: 'supportive',
is_custom: true
}
],
training_examples: [
{
issue: 'Agent scored 55% due to poor greeting and rushed resolution',
coaching: 'I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding.'
}
],
resource_library: [
{
title: 'Active Listening Basics',
type: 'video',
url: 'https://example.com/active-listening',
description: 'A 10-minute video on letting customers finish their thoughts.',
topics: 'empathy, listening, interruptions'
}
]
})
};
fetch('https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Support Team Coach',
'description' => 'Coaches the support team after every evaluation',
'is_active' => true,
'is_default' => false,
'coaching_tone' => 'supportive',
'coaching_frequency' => 'immediate',
'auto_trigger_threshold' => 70,
'language' => 'English',
'include_positive_feedback' => true,
'include_actionable_steps' => true,
'include_resources' => true,
'general_guidelines' => 'Always start with positive feedback. Be specific with examples.',
'coaching_templates' => [
[
'name' => 'Low Score Performance',
'template' => 'Let\'s review this call together. I noticed a few areas where small changes can make a big difference...',
'scenario' => 'When agent scores below 60%',
'tone' => 'supportive',
'is_custom' => true
]
],
'training_examples' => [
[
'issue' => 'Agent scored 55% due to poor greeting and rushed resolution',
'coaching' => 'I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding.'
]
],
'resource_library' => [
[
'title' => 'Active Listening Basics',
'type' => 'video',
'url' => 'https://example.com/active-listening',
'description' => 'A 10-minute video on letting customers finish their thoughts.',
'topics' => 'empathy, listening, interruptions'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}"
payload := strings.NewReader("{\n \"name\": \"Support Team Coach\",\n \"description\": \"Coaches the support team after every evaluation\",\n \"is_active\": true,\n \"is_default\": false,\n \"coaching_tone\": \"supportive\",\n \"coaching_frequency\": \"immediate\",\n \"auto_trigger_threshold\": 70,\n \"language\": \"English\",\n \"include_positive_feedback\": true,\n \"include_actionable_steps\": true,\n \"include_resources\": true,\n \"general_guidelines\": \"Always start with positive feedback. Be specific with examples.\",\n \"coaching_templates\": [\n {\n \"name\": \"Low Score Performance\",\n \"template\": \"Let's review this call together. I noticed a few areas where small changes can make a big difference...\",\n \"scenario\": \"When agent scores below 60%\",\n \"tone\": \"supportive\",\n \"is_custom\": true\n }\n ],\n \"training_examples\": [\n {\n \"issue\": \"Agent scored 55% due to poor greeting and rushed resolution\",\n \"coaching\": \"I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding.\"\n }\n ],\n \"resource_library\": [\n {\n \"title\": \"Active Listening Basics\",\n \"type\": \"video\",\n \"url\": \"https://example.com/active-listening\",\n \"description\": \"A 10-minute video on letting customers finish their thoughts.\",\n \"topics\": \"empathy, listening, interruptions\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Support Team Coach\",\n \"description\": \"Coaches the support team after every evaluation\",\n \"is_active\": true,\n \"is_default\": false,\n \"coaching_tone\": \"supportive\",\n \"coaching_frequency\": \"immediate\",\n \"auto_trigger_threshold\": 70,\n \"language\": \"English\",\n \"include_positive_feedback\": true,\n \"include_actionable_steps\": true,\n \"include_resources\": true,\n \"general_guidelines\": \"Always start with positive feedback. Be specific with examples.\",\n \"coaching_templates\": [\n {\n \"name\": \"Low Score Performance\",\n \"template\": \"Let's review this call together. I noticed a few areas where small changes can make a big difference...\",\n \"scenario\": \"When agent scores below 60%\",\n \"tone\": \"supportive\",\n \"is_custom\": true\n }\n ],\n \"training_examples\": [\n {\n \"issue\": \"Agent scored 55% due to poor greeting and rushed resolution\",\n \"coaching\": \"I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding.\"\n }\n ],\n \"resource_library\": [\n {\n \"title\": \"Active Listening Basics\",\n \"type\": \"video\",\n \"url\": \"https://example.com/active-listening\",\n \"description\": \"A 10-minute video on letting customers finish their thoughts.\",\n \"topics\": \"empathy, listening, interruptions\"\n }\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Support Team Coach\",\n \"description\": \"Coaches the support team after every evaluation\",\n \"is_active\": true,\n \"is_default\": false,\n \"coaching_tone\": \"supportive\",\n \"coaching_frequency\": \"immediate\",\n \"auto_trigger_threshold\": 70,\n \"language\": \"English\",\n \"include_positive_feedback\": true,\n \"include_actionable_steps\": true,\n \"include_resources\": true,\n \"general_guidelines\": \"Always start with positive feedback. Be specific with examples.\",\n \"coaching_templates\": [\n {\n \"name\": \"Low Score Performance\",\n \"template\": \"Let's review this call together. I noticed a few areas where small changes can make a big difference...\",\n \"scenario\": \"When agent scores below 60%\",\n \"tone\": \"supportive\",\n \"is_custom\": true\n }\n ],\n \"training_examples\": [\n {\n \"issue\": \"Agent scored 55% due to poor greeting and rushed resolution\",\n \"coaching\": \"I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding.\"\n }\n ],\n \"resource_library\": [\n {\n \"title\": \"Active Listening Basics\",\n \"type\": \"video\",\n \"url\": \"https://example.com/active-listening\",\n \"description\": \"A 10-minute video on letting customers finish their thoughts.\",\n \"topics\": \"empathy, listening, interruptions\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body
{ "success": true, "message": "Coaching agent updated successfully", "data": { "uuid": "3f6a8c2e-9d1b-4e7a-b5c3-2a1f0e9d8c7b", "name": "Support Team Coach", "description": "Coaches the support team after every evaluation", "is_active": true, "is_default": true, "coaching_tone": "supportive", "coaching_frequency": "immediate", "auto_trigger_threshold": 70, "language": "English", "include_positive_feedback": true, "include_actionable_steps": true, "include_resources": true, "general_guidelines": "Always start with positive feedback.", "coaching_templates": [ { "name": "Low Score Performance", "scenario": "When agent scores below 60%", "tone": "supportive", "template": "Let's review this call together...", "is_custom": false } ], "training_examples": [ { "issue": "Agent scored 55% due to poor greeting", "coaching": "I noticed you interrupted the customer a few times..." } ], "resource_library": [ { "title": "Active Listening Basics", "type": "video", "url": "https://example.com/active-listening", "description": "<string>", "topics": "empathy, listening" } ], "created_at": "2026-06-04T10:15:30+00:00", "updated_at": "2026-06-04T10:15:30+00:00" }}
{
"success": false,
"message": "Agent not found",
"data": []
}
{
"success": false,
"message": "Agent not found",
"data": []
}
{
"success": false,
"message": "Agent not found",
"data": []
}
Coaching Agents
Update a coaching agent (same as PATCH)
Works exactly like PATCH /api/v1/coaching-agents/.
PUT
/
api
/
v1
/
coaching-agents
/
{uuid}
Update a coaching agent (same as PATCH)
curl --request PUT \ --url https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "name": "Support Team Coach", "description": "Coaches the support team after every evaluation", "is_active": true, "is_default": false, "coaching_tone": "supportive", "coaching_frequency": "immediate", "auto_trigger_threshold": 70, "language": "English", "include_positive_feedback": true, "include_actionable_steps": true, "include_resources": true, "general_guidelines": "Always start with positive feedback. Be specific with examples.", "coaching_templates": [ { "name": "Low Score Performance", "template": "Let's review this call together. I noticed a few areas where small changes can make a big difference...", "scenario": "When agent scores below 60%", "tone": "supportive", "is_custom": true } ], "training_examples": [ { "issue": "Agent scored 55% due to poor greeting and rushed resolution", "coaching": "I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding." } ], "resource_library": [ { "title": "Active Listening Basics", "type": "video", "url": "https://example.com/active-listening", "description": "A 10-minute video on letting customers finish their thoughts.", "topics": "empathy, listening, interruptions" } ]}EOF
import requests
url = "https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}"
payload = {
"name": "Support Team Coach",
"description": "Coaches the support team after every evaluation",
"is_active": True,
"is_default": False,
"coaching_tone": "supportive",
"coaching_frequency": "immediate",
"auto_trigger_threshold": 70,
"language": "English",
"include_positive_feedback": True,
"include_actionable_steps": True,
"include_resources": True,
"general_guidelines": "Always start with positive feedback. Be specific with examples.",
"coaching_templates": [
{
"name": "Low Score Performance",
"template": "Let's review this call together. I noticed a few areas where small changes can make a big difference...",
"scenario": "When agent scores below 60%",
"tone": "supportive",
"is_custom": True
}
],
"training_examples": [
{
"issue": "Agent scored 55% due to poor greeting and rushed resolution",
"coaching": "I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding."
}
],
"resource_library": [
{
"title": "Active Listening Basics",
"type": "video",
"url": "https://example.com/active-listening",
"description": "A 10-minute video on letting customers finish their thoughts.",
"topics": "empathy, listening, interruptions"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Support Team Coach',
description: 'Coaches the support team after every evaluation',
is_active: true,
is_default: false,
coaching_tone: 'supportive',
coaching_frequency: 'immediate',
auto_trigger_threshold: 70,
language: 'English',
include_positive_feedback: true,
include_actionable_steps: true,
include_resources: true,
general_guidelines: 'Always start with positive feedback. Be specific with examples.',
coaching_templates: [
{
name: 'Low Score Performance',
template: 'Let\'s review this call together. I noticed a few areas where small changes can make a big difference...',
scenario: 'When agent scores below 60%',
tone: 'supportive',
is_custom: true
}
],
training_examples: [
{
issue: 'Agent scored 55% due to poor greeting and rushed resolution',
coaching: 'I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding.'
}
],
resource_library: [
{
title: 'Active Listening Basics',
type: 'video',
url: 'https://example.com/active-listening',
description: 'A 10-minute video on letting customers finish their thoughts.',
topics: 'empathy, listening, interruptions'
}
]
})
};
fetch('https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Support Team Coach',
'description' => 'Coaches the support team after every evaluation',
'is_active' => true,
'is_default' => false,
'coaching_tone' => 'supportive',
'coaching_frequency' => 'immediate',
'auto_trigger_threshold' => 70,
'language' => 'English',
'include_positive_feedback' => true,
'include_actionable_steps' => true,
'include_resources' => true,
'general_guidelines' => 'Always start with positive feedback. Be specific with examples.',
'coaching_templates' => [
[
'name' => 'Low Score Performance',
'template' => 'Let\'s review this call together. I noticed a few areas where small changes can make a big difference...',
'scenario' => 'When agent scores below 60%',
'tone' => 'supportive',
'is_custom' => true
]
],
'training_examples' => [
[
'issue' => 'Agent scored 55% due to poor greeting and rushed resolution',
'coaching' => 'I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding.'
]
],
'resource_library' => [
[
'title' => 'Active Listening Basics',
'type' => 'video',
'url' => 'https://example.com/active-listening',
'description' => 'A 10-minute video on letting customers finish their thoughts.',
'topics' => 'empathy, listening, interruptions'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}"
payload := strings.NewReader("{\n \"name\": \"Support Team Coach\",\n \"description\": \"Coaches the support team after every evaluation\",\n \"is_active\": true,\n \"is_default\": false,\n \"coaching_tone\": \"supportive\",\n \"coaching_frequency\": \"immediate\",\n \"auto_trigger_threshold\": 70,\n \"language\": \"English\",\n \"include_positive_feedback\": true,\n \"include_actionable_steps\": true,\n \"include_resources\": true,\n \"general_guidelines\": \"Always start with positive feedback. Be specific with examples.\",\n \"coaching_templates\": [\n {\n \"name\": \"Low Score Performance\",\n \"template\": \"Let's review this call together. I noticed a few areas where small changes can make a big difference...\",\n \"scenario\": \"When agent scores below 60%\",\n \"tone\": \"supportive\",\n \"is_custom\": true\n }\n ],\n \"training_examples\": [\n {\n \"issue\": \"Agent scored 55% due to poor greeting and rushed resolution\",\n \"coaching\": \"I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding.\"\n }\n ],\n \"resource_library\": [\n {\n \"title\": \"Active Listening Basics\",\n \"type\": \"video\",\n \"url\": \"https://example.com/active-listening\",\n \"description\": \"A 10-minute video on letting customers finish their thoughts.\",\n \"topics\": \"empathy, listening, interruptions\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Support Team Coach\",\n \"description\": \"Coaches the support team after every evaluation\",\n \"is_active\": true,\n \"is_default\": false,\n \"coaching_tone\": \"supportive\",\n \"coaching_frequency\": \"immediate\",\n \"auto_trigger_threshold\": 70,\n \"language\": \"English\",\n \"include_positive_feedback\": true,\n \"include_actionable_steps\": true,\n \"include_resources\": true,\n \"general_guidelines\": \"Always start with positive feedback. Be specific with examples.\",\n \"coaching_templates\": [\n {\n \"name\": \"Low Score Performance\",\n \"template\": \"Let's review this call together. I noticed a few areas where small changes can make a big difference...\",\n \"scenario\": \"When agent scores below 60%\",\n \"tone\": \"supportive\",\n \"is_custom\": true\n }\n ],\n \"training_examples\": [\n {\n \"issue\": \"Agent scored 55% due to poor greeting and rushed resolution\",\n \"coaching\": \"I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding.\"\n }\n ],\n \"resource_library\": [\n {\n \"title\": \"Active Listening Basics\",\n \"type\": \"video\",\n \"url\": \"https://example.com/active-listening\",\n \"description\": \"A 10-minute video on letting customers finish their thoughts.\",\n \"topics\": \"empathy, listening, interruptions\"\n }\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://{subdomain}.mihu.ai/api/v1/coaching-agents/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Support Team Coach\",\n \"description\": \"Coaches the support team after every evaluation\",\n \"is_active\": true,\n \"is_default\": false,\n \"coaching_tone\": \"supportive\",\n \"coaching_frequency\": \"immediate\",\n \"auto_trigger_threshold\": 70,\n \"language\": \"English\",\n \"include_positive_feedback\": true,\n \"include_actionable_steps\": true,\n \"include_resources\": true,\n \"general_guidelines\": \"Always start with positive feedback. Be specific with examples.\",\n \"coaching_templates\": [\n {\n \"name\": \"Low Score Performance\",\n \"template\": \"Let's review this call together. I noticed a few areas where small changes can make a big difference...\",\n \"scenario\": \"When agent scores below 60%\",\n \"tone\": \"supportive\",\n \"is_custom\": true\n }\n ],\n \"training_examples\": [\n {\n \"issue\": \"Agent scored 55% due to poor greeting and rushed resolution\",\n \"coaching\": \"I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding.\"\n }\n ],\n \"resource_library\": [\n {\n \"title\": \"Active Listening Basics\",\n \"type\": \"video\",\n \"url\": \"https://example.com/active-listening\",\n \"description\": \"A 10-minute video on letting customers finish their thoughts.\",\n \"topics\": \"empathy, listening, interruptions\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body
{ "success": true, "message": "Coaching agent updated successfully", "data": { "uuid": "3f6a8c2e-9d1b-4e7a-b5c3-2a1f0e9d8c7b", "name": "Support Team Coach", "description": "Coaches the support team after every evaluation", "is_active": true, "is_default": true, "coaching_tone": "supportive", "coaching_frequency": "immediate", "auto_trigger_threshold": 70, "language": "English", "include_positive_feedback": true, "include_actionable_steps": true, "include_resources": true, "general_guidelines": "Always start with positive feedback.", "coaching_templates": [ { "name": "Low Score Performance", "scenario": "When agent scores below 60%", "tone": "supportive", "template": "Let's review this call together...", "is_custom": false } ], "training_examples": [ { "issue": "Agent scored 55% due to poor greeting", "coaching": "I noticed you interrupted the customer a few times..." } ], "resource_library": [ { "title": "Active Listening Basics", "type": "video", "url": "https://example.com/active-listening", "description": "<string>", "topics": "empathy, listening" } ], "created_at": "2026-06-04T10:15:30+00:00", "updated_at": "2026-06-04T10:15:30+00:00" }}
{
"success": false,
"message": "Agent not found",
"data": []
}
{
"success": false,
"message": "Agent not found",
"data": []
}
{
"success": false,
"message": "Agent not found",
"data": []
}
Create/update payload. On update only the fields you send are changed; the template, example, and resource lists replace the existing ones when provided.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Mihu API Documentation","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://mihu.ai/mihu-ai-logo.svg","dark":"https://mihu.ai/mihu-ai-logo.svg"},"favicon":"https://mintcdn.com/mihu/0m7Oc8JtUTBQ3siW/favicon.svg?fit=max\u0026auto=format\u0026n=0m7Oc8JtUTBQ3siW\u0026q=85\u0026s=2996ee148a7045b38c59204dc11e26db","navbar":{"links":[{"href":"mailto:support@mihu.ai","label":"Support"}],"primary":{"type":"button","label":"Login","href":"https://app.mihu.ai"}},"footer":{"socials":{"x":"https://x.com/mihu-ai","github":"https://github.com/mihu-ai","linkedin":"https://www.linkedin.com/company/mihuai"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Mihu ","icon":"book-open-cover","href":"https://mihu.ai"},{"anchor":"Login","icon":"newspaper","href":"https://app.mihu.ai"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mihu","hasAudioNarration":false,"actualSubdomain":"mihu","customDomains":["developers.mihu.ai"],"gitSource":{"type":"github","owner":"mihu-ai","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6abc3fd20b294233485be31a","collectionId":"15b6d4ff-7d7c-4ed3-ae64-955b8b137a41","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6abc3fd20b294233485be31a"},"entitlements":{},"buildId":"6abc3fd20b294233485be31a","clientVersion":"0.0.3969","searchFilterCounts":[{"language":"default","tag":"API Reference","count":1211},{"language":"default","tag":"Agents","count":78},{"language":"default","tag":"Builders","count":26},{"language":"default","tag":"Phone Numbers","count":23},{"language":"default","tag":"Guides","count":18},{"language":"default","tag":"Simulations","count":18},{"language":"default","tag":"Tables","count":18},{"language":"default","tag":"Workspace Queue","count":18},{"language":"default","tag":"Conversations","count":17},{"language":"default","tag":"Assistant Channels","count":16}]},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/coaching-agents/update-a-coaching-agent-same-as-patch","slug":"/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch","pageMetadata":{"title":"Update a coaching agent (same as PATCH)","description":"Works exactly like PATCH /api/v1/coaching-agents/{uuid}.","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/coaching-agents/{uuid}","href":"/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Works exactly like PATCH /api/v1/coaching-agents/\", \".\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update a coaching agent (same as PATCH)","description":"Works exactly like PATCH /api/v1/coaching-agents/{uuid}.","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/coaching-agents/{uuid}","href":"/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Coaching Agents"],"summary":"Update a coaching agent (same as PATCH)","description":"Works exactly like PATCH /api/v1/coaching-agents/{uuid}.","operationId":"updateCoachingAgentPut","parameters":["4b515cc5-138a-4ce6-b0c7-ed77854c3068"],"requestBody":"74718946-1500-4519-882f-1175c3914f51","responses":{"200":"8df66cc1-01ba-4368-aec3-63080f99f1e0","401":"624da688-be89-4a84-82ea-73a6d7b74b4b","404":"b1258b1f-a2cf-4d4a-8626-2e168b3cfb5d","422":"7ccc115a-6673-4e35-ac1f-564c1be2b1a6"},"security":["5c15654f-2818-4881-8760-a7b869f70261"],"method":"put","type":"path","servers":["bcda63a5-036d-470f-b56c-8a9db0f46b1c","87e676c6-99b3-4549-92df-6b757513ec6f"],"path":"/api/v1/coaching-agents/{uuid}","baseUrlOptions":["https://{subdomain}.mihu.ai","/docs"],"title":"Update a coaching agent (same as PATCH)","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"4b515cc5-138a-4ce6-b0c7-ed77854c3068":{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"description":"Create/update payload. On update only the fields you send are changed; the template, example, and resource lists replace the existing ones when provided.","properties":{"name":{"type":"string","maxLength":255,"example":"Support Team Coach","uniqueKey":"name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","example":"Coaches the support team after every evaluation","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","example":"Coaches the support team after every evaluation","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"is_active":{"type":"boolean","default":true,"example":true,"uniqueKey":"is_active","typeLabel":"boolean"},"is_default":{"description":"Send true to make this the default coach. To move the default away from an agent, set another one as default.","type":"boolean","default":false,"example":false,"uniqueKey":"is_default","typeLabel":"boolean"},"coaching_tone":{"description":"supportive, direct, constructive, motivational — or your own wording, e.g. `friendly but firm`.","type":"string","default":"supportive","maxLength":100,"example":"supportive","uniqueKey":"coaching_tone","typeLabel":"string"},"coaching_frequency":{"description":"When coaching is generated. Currently `immediate` — after each evaluation.","type":"string","default":"immediate","enum":["immediate"],"example":"immediate","uniqueKey":"coaching_frequency","typeLabel":"enum\u003cstring>"},"auto_trigger_threshold":{"description":"Coaching is generated automatically when an agent scores below this percentage.","type":"integer","default":70,"maximum":100,"minimum":0,"example":70,"uniqueKey":"auto_trigger_threshold","typeLabel":"integer"},"language":{"description":"Language for coaching messages and feedback.","type":"string","default":"English","maxLength":50,"example":"English","uniqueKey":"language","typeLabel":"string"},"include_positive_feedback":{"description":"Highlight what the agent did well.","type":"boolean","default":true,"example":true,"uniqueKey":"include_positive_feedback","typeLabel":"boolean"},"include_actionable_steps":{"description":"Provide specific steps for improvement.","type":"boolean","default":true,"example":true,"uniqueKey":"include_actionable_steps","typeLabel":"boolean"},"include_resources":{"description":"Recommend relevant training resources.","type":"boolean","default":true,"example":true,"uniqueKey":"include_resources","typeLabel":"boolean"},"general_guidelines":{"oneOf":[{"description":"Your coaching philosophy — applied to every coaching message.","type":"string","example":"Always start with positive feedback. Be specific with examples.","uniqueKey":"general_guidelines.oneOf.0","typeLabel":"string"},{"description":"Your coaching philosophy — applied to every coaching message.","type":"null","example":"Always start with positive feedback. Be specific with examples.","uniqueKey":"general_guidelines.oneOf.1","typeLabel":"null"}],"uniqueKey":"general_guidelines","typeLabel":"string | null"},"coaching_templates":{"description":"Templates for different scenarios. Sending this replaces the existing list. Leave it out on create to start with sample templates.","type":"array","items":{"description":"A coaching template for a specific scenario. Example: `{\"name\": \"Low Score Performance\", \"scenario\": \"When agent scores below 60%\", \"tone\": \"supportive\", \"template\": \"Let's review this call together...\"}`","required":["name","template"],"properties":{"name":{"type":"string","maxLength":255,"example":"Low Score Performance","isRequired":true,"uniqueKey":"coaching_templates.items.[INDEX].name","typeLabel":"string"},"template":{"description":"The coaching message template.","type":"string","example":"Let's review this call together. I noticed a few areas where small changes can make a big difference...","isRequired":true,"uniqueKey":"coaching_templates.items.[INDEX].template","typeLabel":"string"},"scenario":{"oneOf":[{"description":"When this template should be used.","type":"string","example":"When agent scores below 60%","uniqueKey":"coaching_templates.items.[INDEX].scenario.oneOf.0","typeLabel":"string"},{"description":"When this template should be used.","type":"null","example":"When agent scores below 60%","uniqueKey":"coaching_templates.items.[INDEX].scenario.oneOf.1","typeLabel":"null"}],"uniqueKey":"coaching_templates.items.[INDEX].scenario","typeLabel":"string | null"},"tone":{"oneOf":[{"type":"string","maxLength":100,"example":"supportive","uniqueKey":"coaching_templates.items.[INDEX].tone.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":100,"example":"supportive","uniqueKey":"coaching_templates.items.[INDEX].tone.oneOf.1","typeLabel":"null"}],"uniqueKey":"coaching_templates.items.[INDEX].tone","typeLabel":"string | null"},"is_custom":{"type":"boolean","default":true,"example":true,"uniqueKey":"coaching_templates.items.[INDEX].is_custom","typeLabel":"boolean"}},"type":"object","uniqueKey":"coaching_templates.items.[INDEX]","typeLabel":"object"},"uniqueKey":"coaching_templates","typeLabel":"object[]"},"training_examples":{"description":"Examples of your coaching style. Sending this replaces the existing list. Leave it out on create to start with a sample example.","type":"array","items":{"description":"An example that teaches the AI your coaching style. Example: `{\"issue\": \"Agent scored 55% due to poor greeting\", \"coaching\": \"I noticed you interrupted the customer...\"}`","required":["issue","coaching"],"properties":{"issue":{"description":"The performance issue.","type":"string","example":"Agent scored 55% due to poor greeting and rushed resolution","isRequired":true,"uniqueKey":"training_examples.items.[INDEX].issue","typeLabel":"string"},"coaching":{"description":"Your ideal coaching response for this issue.","type":"string","example":"I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding.","isRequired":true,"uniqueKey":"training_examples.items.[INDEX].coaching","typeLabel":"string"}},"type":"object","uniqueKey":"training_examples.items.[INDEX]","typeLabel":"object"},"uniqueKey":"training_examples","typeLabel":"object[]"},"resource_library":{"description":"Training resources the AI can recommend. Sending this replaces the existing list.","type":"array","items":{"description":"A training resource the AI can recommend. Example: `{\"title\": \"Active Listening Basics\", \"type\": \"video\", \"url\": \"https://example.com/course\", \"topics\": \"empathy, listening\"}`","required":["title"],"properties":{"title":{"type":"string","maxLength":255,"example":"Active Listening Basics","isRequired":true,"uniqueKey":"resource_library.items.[INDEX].title","typeLabel":"string"},"type":{"oneOf":[{"description":"Resource type, e.g. article, video, course, document.","type":"string","default":"article","maxLength":50,"example":"video","uniqueKey":"resource_library.items.[INDEX].type.oneOf.0","typeLabel":"string"},{"description":"Resource type, e.g. article, video, course, document.","type":"null","default":"article","maxLength":50,"example":"video","uniqueKey":"resource_library.items.[INDEX].type.oneOf.1","typeLabel":"null"}],"uniqueKey":"resource_library.items.[INDEX].type","typeLabel":"string | null"},"url":{"oneOf":[{"type":"string","example":"https://example.com/active-listening","uniqueKey":"resource_library.items.[INDEX].url.oneOf.0","typeLabel":"string"},{"type":"null","example":"https://example.com/active-listening","uniqueKey":"resource_library.items.[INDEX].url.oneOf.1","typeLabel":"null"}],"uniqueKey":"resource_library.items.[INDEX].url","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","example":"A 10-minute video on letting customers finish their thoughts.","uniqueKey":"resource_library.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","example":"A 10-minute video on letting customers finish their thoughts.","uniqueKey":"resource_library.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"resource_library.items.[INDEX].description","typeLabel":"string | null"},"topics":{"oneOf":[{"description":"Comma-separated topics — used to match resources to improvement areas.","type":"string","example":"empathy, listening, interruptions","uniqueKey":"resource_library.items.[INDEX].topics.oneOf.0","typeLabel":"string"},{"description":"Comma-separated topics — used to match resources to improvement areas.","type":"null","example":"empathy, listening, interruptions","uniqueKey":"resource_library.items.[INDEX].topics.oneOf.1","typeLabel":"null"}],"uniqueKey":"resource_library.items.[INDEX].topics","typeLabel":"string | null"}},"type":"object","uniqueKey":"resource_library.items.[INDEX]","typeLabel":"object"},"uniqueKey":"resource_library","typeLabel":"object[]"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"Support Team Coach","description":"Coaches the support team after every evaluation","is_active":true,"is_default":false,"coaching_tone":"supportive","coaching_frequency":"immediate","auto_trigger_threshold":70,"language":"English","include_positive_feedback":true,"include_actionable_steps":true,"include_resources":true,"general_guidelines":"Always start with positive feedback. Be specific with examples.","coaching_templates":[{"name":"Low Score Performance","template":"Let's review this call together. I noticed a few areas where small changes can make a big difference...","scenario":"When agent scores below 60%","tone":"supportive","is_custom":true}],"training_examples":[{"issue":"Agent scored 55% due to poor greeting and rushed resolution","coaching":"I noticed you interrupted the customer a few times during the call. Try counting to 2 after they pause before responding."}],"resource_library":[{"title":"Active Listening Basics","type":"video","url":"https://example.com/active-listening","description":"A 10-minute video on letting customers finish their thoughts.","topics":"empathy, listening, interruptions"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"8df66cc1-01ba-4368-aec3-63080f99f1e0":{"description":"Coaching agent updated successfully","content":{"application/json":{"schema":{"properties":{"success":{"type":"boolean","example":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"Coaching agent updated successfully","uniqueKey":"message","typeLabel":"string"},"data":{"description":"A coaching agent with its full configuration.","properties":{"uuid":{"type":"string","format":"uuid","example":"3f6a8c2e-9d1b-4e7a-b5c3-2a1f0e9d8c7b","uniqueKey":"data.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Support Team Coach","uniqueKey":"data.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","example":"Coaches the support team after every evaluation","uniqueKey":"data.description.oneOf.0","typeLabel":"string"},{"type":"null","example":"Coaches the support team after every evaluation","uniqueKey":"data.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.description","typeLabel":"string | null"},"is_active":{"type":"boolean","example":true,"uniqueKey":"data.is_active","typeLabel":"boolean"},"is_default":{"type":"boolean","example":true,"uniqueKey":"data.is_default","typeLabel":"boolean"},"coaching_tone":{"type":"string","example":"supportive","uniqueKey":"data.coaching_tone","typeLabel":"string"},"coaching_frequency":{"type":"string","example":"immediate","uniqueKey":"data.coaching_frequency","typeLabel":"string"},"auto_trigger_threshold":{"type":"integer","example":70,"uniqueKey":"data.auto_trigger_threshold","typeLabel":"integer"},"language":{"type":"string","example":"English","uniqueKey":"data.language","typeLabel":"string"},"include_positive_feedback":{"type":"boolean","example":true,"uniqueKey":"data.include_positive_feedback","typeLabel":"boolean"},"include_actionable_steps":{"type":"boolean","example":true,"uniqueKey":"data.include_actionable_steps","typeLabel":"boolean"},"include_resources":{"type":"boolean","example":true,"uniqueKey":"data.include_resources","typeLabel":"boolean"},"general_guidelines":{"oneOf":[{"type":"string","example":"Always start with positive feedback.","uniqueKey":"data.general_guidelines.oneOf.0","typeLabel":"string"},{"type":"null","example":"Always start with positive feedback.","uniqueKey":"data.general_guidelines.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.general_guidelines","typeLabel":"string | null"},"coaching_templates":{"type":"array","items":{"properties":{"name":{"type":"string","example":"Low Score Performance","uniqueKey":"data.coaching_templates.items.[INDEX].name","typeLabel":"string"},"scenario":{"oneOf":[{"type":"string","example":"When agent scores below 60%","uniqueKey":"data.coaching_templates.items.[INDEX].scenario.oneOf.0","typeLabel":"string"},{"type":"null","example":"When agent scores below 60%","uniqueKey":"data.coaching_templates.items.[INDEX].scenario.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.coaching_templates.items.[INDEX].scenario","typeLabel":"string | null"},"tone":{"oneOf":[{"type":"string","example":"supportive","uniqueKey":"data.coaching_templates.items.[INDEX].tone.oneOf.0","typeLabel":"string"},{"type":"null","example":"supportive","uniqueKey":"data.coaching_templates.items.[INDEX].tone.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.coaching_templates.items.[INDEX].tone","typeLabel":"string | null"},"template":{"type":"string","example":"Let's review this call together...","uniqueKey":"data.coaching_templates.items.[INDEX].template","typeLabel":"string"},"is_custom":{"type":"boolean","example":false,"uniqueKey":"data.coaching_templates.items.[INDEX].is_custom","typeLabel":"boolean"}},"type":"object","uniqueKey":"data.coaching_templates.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.coaching_templates","typeLabel":"object[]"},"training_examples":{"type":"array","items":{"properties":{"issue":{"type":"string","example":"Agent scored 55% due to poor greeting","uniqueKey":"data.training_examples.items.[INDEX].issue","typeLabel":"string"},"coaching":{"type":"string","example":"I noticed you interrupted the customer a few times...","uniqueKey":"data.training_examples.items.[INDEX].coaching","typeLabel":"string"}},"type":"object","uniqueKey":"data.training_examples.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.training_examples","typeLabel":"object[]"},"resource_library":{"type":"array","items":{"properties":{"title":{"type":"string","example":"Active Listening Basics","uniqueKey":"data.resource_library.items.[INDEX].title","typeLabel":"string"},"type":{"oneOf":[{"type":"string","example":"video","uniqueKey":"data.resource_library.items.[INDEX].type.oneOf.0","typeLabel":"string"},{"type":"null","example":"video","uniqueKey":"data.resource_library.items.[INDEX].type.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.resource_library.items.[INDEX].type","typeLabel":"string | null"},"url":{"oneOf":[{"type":"string","example":"https://example.com/active-listening","uniqueKey":"data.resource_library.items.[INDEX].url.oneOf.0","typeLabel":"string"},{"type":"null","example":"https://example.com/active-listening","uniqueKey":"data.resource_library.items.[INDEX].url.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.resource_library.items.[INDEX].url","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","uniqueKey":"data.resource_library.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.resource_library.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.resource_library.items.[INDEX].description","typeLabel":"string | null"},"topics":{"oneOf":[{"type":"string","example":"empathy, listening","uniqueKey":"data.resource_library.items.[INDEX].topics.oneOf.0","typeLabel":"string"},{"type":"null","example":"empathy, listening","uniqueKey":"data.resource_library.items.[INDEX].topics.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.resource_library.items.[INDEX].topics","typeLabel":"string | null"}},"type":"object","uniqueKey":"data.resource_library.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.resource_library","typeLabel":"object[]"},"created_at":{"type":"string","format":"date-time","example":"2026-06-04T10:15:30+00:00","uniqueKey":"data.created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","example":"2026-06-04T10:15:30+00:00","uniqueKey":"data.updated_at","typeLabel":"string\u003cdate-time>"}},"type":"object","uniqueKey":"data","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":true,"message":"Coaching agent updated successfully","data":{"uuid":"3f6a8c2e-9d1b-4e7a-b5c3-2a1f0e9d8c7b","name":"Support Team Coach","description":"Coaches the support team after every evaluation","is_active":true,"is_default":true,"coaching_tone":"supportive","coaching_frequency":"immediate","auto_trigger_threshold":70,"language":"English","include_positive_feedback":true,"include_actionable_steps":true,"include_resources":true,"general_guidelines":"Always start with positive feedback.","coaching_templates":[{"name":"Low Score Performance","scenario":"When agent scores below 60%","tone":"supportive","template":"Let's review this call together...","is_custom":false}],"training_examples":[{"issue":"Agent scored 55% due to poor greeting","coaching":"I noticed you interrupted the customer a few times..."}],"resource_library":[{"title":"Active Listening Basics","type":"video","url":"https://example.com/active-listening","description":"\u003cstring>","topics":"empathy, listening"}],"created_at":"2026-06-04T10:15:30+00:00","updated_at":"2026-06-04T10:15:30+00:00"}}}},"exampleType":"generated"}},"exampleType":"generated"},"624da688-be89-4a84-82ea-73a6d7b74b4b":{"description":"Invalid or expired token","content":{"application/json":{"schema":{"description":"Standard error response shape returned by every mihu API endpoint on failure (4xx or 5xx). Always present alongside the matching HTTP status code. Pair with HTTP status: 404 = resource not found, 409 = conflict (precondition violated), 500 = unexpected server error. For 422 (validation) see ValidationErrorEnvelope.","required":["success","message","data"],"properties":{"success":{"description":"Always false on errors.","type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"description":"Human-readable failure reason. Safe to log or surface to users.","type":"string","example":"Agent not found","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"description":"Empty array on most errors. Some endpoints include extra context here.","example":[],"isRequired":true,"uniqueKey":"data","typeLabel":"any"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"message":"Agent not found","data":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"b1258b1f-a2cf-4d4a-8626-2e168b3cfb5d":{"description":"Coaching agent not found","content":{"application/json":{"schema":{"description":"Standard error response shape returned by every mihu API endpoint on failure (4xx or 5xx). Always present alongside the matching HTTP status code. Pair with HTTP status: 404 = resource not found, 409 = conflict (precondition violated), 500 = unexpected server error. For 422 (validation) see ValidationErrorEnvelope.","required":["success","message","data"],"properties":{"success":{"description":"Always false on errors.","type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"description":"Human-readable failure reason. Safe to log or surface to users.","type":"string","example":"Agent not found","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"description":"Empty array on most errors. Some endpoints include extra context here.","example":[],"isRequired":true,"uniqueKey":"data","typeLabel":"any"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"message":"Agent not found","data":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"7ccc115a-6673-4e35-ac1f-564c1be2b1a6":{"description":"Validation error","content":{"application/json":{"schema":{"description":"Standard error response shape returned by every mihu API endpoint on failure (4xx or 5xx). Always present alongside the matching HTTP status code. Pair with HTTP status: 404 = resource not found, 409 = conflict (precondition violated), 500 = unexpected server error. For 422 (validation) see ValidationErrorEnvelope.","required":["success","message","data"],"properties":{"success":{"description":"Always false on errors.","type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"description":"Human-readable failure reason. Safe to log or surface to users.","type":"string","example":"Agent not found","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"description":"Empty array on most errors. Some endpoints include extra context here.","example":[],"isRequired":true,"uniqueKey":"data","typeLabel":"any"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"message":"Agent not found","data":[]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"5c15654f-2818-4881-8760-a7b869f70261":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Use a Bearer token to access these API endpoints. Example: \"Bearer {your-token}\"","scopes":[]}}},"servers":{"bcda63a5-036d-470f-b56c-8a9db0f46b1c":{"url":"https://{subdomain}.mihu.ai","description":"Your subdomain","variables":{"subdomain":{"default":"demo","description":"Subdomain name"}}},"87e676c6-99b3-4549-92df-6b757513ec6f":{"url":"/docs"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Use a Bearer token to access these API endpoints. Example: \"Bearer {your-token}\"","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Use a Bearer token to access these API endpoints. Example: \"Bearer {your-token}\"","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"https://app.mihu.ai/docs/api-docs.json"},"subdomain":"mihu","siteName":"Mihu API Documentation","title":"Update a coaching agent (same as PATCH) - Mihu API Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-29T22:42:31.928Z","originalFileLocation":"api-reference/coaching-agents/update-a-coaching-agent-same-as-patch.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Works exactly like PATCH /api/v1/coaching-agents/{uuid}.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Mihu API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mihu/Zb6_XLMgLqCNmG0Z/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/mihu/Zb6_XLMgLqCNmG0Z/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mihu/Zb6_XLMgLqCNmG0Z/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mihu/Zb6_XLMgLqCNmG0Z/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mihu/Zb6_XLMgLqCNmG0Z/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mihu/Zb6_XLMgLqCNmG0Z/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mihu/Zb6_XLMgLqCNmG0Z/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mihu/Zb6_XLMgLqCNmG0Z/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mihu/Zb6_XLMgLqCNmG0Z/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update a coaching agent (same as PATCH) - Mihu API Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Works exactly like PATCH /api/v1/coaching-agents/{uuid}.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Mihu API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.mihu.ai/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://mihu.mintlify.app/_mintlify/api/og/v2?division=Coaching+Agents\u0026amp;title=Update+a+coaching+agent+%28same+as+PATCH%29\u0026amp;description=Works+exactly+like+PATCH+%2Fapi%2Fv1%2Fcoaching-agents%2F%7Buuid%7D.\u0026amp;theme=a1a00b99f4ad43d413b1f148\u0026amp;signature=d0546bdc35b5671449ab0a78ec0e14901c438771b446f096da4fd6f9d9878349\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update a coaching agent (same as PATCH) - Mihu API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Works exactly like PATCH /api/v1/coaching-agents/{uuid}.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://mihu.mintlify.app/_mintlify/api/og/v2?division=Coaching+Agents\u0026amp;title=Update+a+coaching+agent+%28same+as+PATCH%29\u0026amp;description=Works+exactly+like+PATCH+%2Fapi%2Fv1%2Fcoaching-agents%2F%7Buuid%7D.\u0026amp;theme=a1a00b99f4ad43d413b1f148\u0026amp;signature=d0546bdc35b5671449ab0a78ec0e14901c438771b446f096da4fd6f9d9878349\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/mihu/Zb6_XLMgLqCNmG0Z/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Mihu API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.mihu.ai/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.mihu.ai/#organization\",\"name\":\"Mihu API Documentation\",\"url\":\"https://developers.mihu.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mihu.ai/mihu-ai-logo.svg\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.mihu.ai#website\",\"name\":\"Mihu API Documentation\",\"url\":\"https://developers.mihu.ai\",\"publisher\":{\"@id\":\"https://developers.mihu.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.mihu.ai/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch#webpage\",\"url\":\"https://developers.mihu.ai/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch\",\"name\":\"Update a coaching agent (same as PATCH)\",\"description\":\"Works exactly like PATCH /api/v1/coaching-agents/{uuid}.\",\"dateModified\":\"2026-09-29T22:42:31.928Z\",\"isPartOf\":{\"@id\":\"https://developers.mihu.ai#website\"},\"breadcrumb\":{\"@id\":\"https://developers.mihu.ai/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.mihu.ai/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://developers.mihu.ai/api-reference/agents/list-agents\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Coaching Agents\",\"item\":\"https://developers.mihu.ai/api-reference/coaching-agents/list-coaching-agents\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update a coaching agent (same as PATCH)\",\"item\":\"https://developers.mihu.ai/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.mihu.ai/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch#apireference\",\"headline\":\"Update a coaching agent (same as PATCH)\",\"name\":\"Update a coaching agent (same as PATCH)\",\"description\":\"Works exactly like PATCH /api/v1/coaching-agents/{uuid}.\",\"url\":\"https://developers.mihu.ai/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch\",\"mainEntityOfPage\":{\"@id\":\"https://developers.mihu.ai/api-reference/coaching-agents/update-a-coaching-agent-same-as-patch#webpage\"},\"dateModified\":\"2026-09-29T22:42:31.928Z\",\"publisher\":{\"@id\":\"https://developers.mihu.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.mihu.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Mihu API Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Mihu API Documentation","nav":{"global":{"anchors":[{"anchor":"Mihu ","icon":"book-open-cover","href":"https://mihu.ai"},{"anchor":"Login","icon":"newspaper","href":"https://app.mihu.ai"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"API Reference","pages":[{"group":"Agents","pages":[{"title":"List agents","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents","href":"/api-reference/agents/list-agents"},{"title":"Create an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents","href":"/api-reference/agents/create-an-agent"},{"title":"Create an agent from website documentation","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/from-website","href":"/api-reference/agents/create-an-agent-from-website-documentation"},{"title":"Analyze website documentation for agent creation","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/analyze-website","href":"/api-reference/agents/analyze-website-documentation-for-agent-creation"},{"title":"Get one agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}","href":"/api-reference/agents/get-one-agent"},{"title":"Replace/sync an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/agents/{uuid}","href":"/api-reference/agents/replacesync-an-agent"},{"title":"Soft-delete an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/agents/{uuid}","href":"/api-reference/agents/soft-delete-an-agent"},{"title":"Update an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}","href":"/api-reference/agents/update-an-agent"},{"title":"Replace agent guidelines","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/agents/{uuid}/guidelines","href":"/api-reference/agents/replace-agent-guidelines"},{"title":"Add a single guideline","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/guidelines","href":"/api-reference/agents/add-a-single-guideline"},{"title":"Replace agent notes","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/agents/{uuid}/notes","href":"/api-reference/agents/replace-agent-notes"},{"title":"Add a single note","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/notes","href":"/api-reference/agents/add-a-single-note"},{"title":"Get the agent's email signature","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/email-signature","href":"/api-reference/agents/get-the-agents-email-signature"},{"title":"Update the agent's email signature","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/agents/{uuid}/email-signature","href":"/api-reference/agents/update-the-agents-email-signature"},{"title":"Create or set the agent's email signature","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/email-signature","href":"/api-reference/agents/create-or-set-the-agents-email-signature"},{"title":"Clear the agent's email signature","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/agents/{uuid}/email-signature","href":"/api-reference/agents/clear-the-agents-email-signature"},{"title":"Replace agent procedures","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/agents/{uuid}/procedures","href":"/api-reference/agents/replace-agent-procedures"},{"title":"Add a single procedure (with optional steps)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/procedures","href":"/api-reference/agents/add-a-single-procedure-with-optional-steps"},{"title":"Replace agent training data","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/agents/{uuid}/training","href":"/api-reference/agents/replace-agent-training-data"},{"title":"Add a single training data row","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/training","href":"/api-reference/agents/add-a-single-training-data-row"},{"title":"Replace agent appointment settings and schedule assignments","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/agents/{uuid}/appointments","href":"/api-reference/agents/replace-agent-appointment-settings-and-schedule-assignments"},{"title":"Delete a single note","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/agents/{uuid}/notes/{noteUuid}","href":"/api-reference/agents/delete-a-single-note"},{"title":"Update a single note","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/notes/{noteUuid}","href":"/api-reference/agents/update-a-single-note"},{"title":"Delete a single guideline","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/agents/{uuid}/guidelines/{guidelineUuid}","href":"/api-reference/agents/delete-a-single-guideline"},{"title":"Update a single guideline","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/guidelines/{guidelineUuid}","href":"/api-reference/agents/update-a-single-guideline"},{"title":"Delete a single training row","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/agents/{uuid}/training/{trainingUuid}","href":"/api-reference/agents/delete-a-single-training-row"},{"title":"Update a single training row","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/training/{trainingUuid}","href":"/api-reference/agents/update-a-single-training-row"},{"title":"Delete a single procedure (and its steps)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/agents/{uuid}/procedures/{procedureUuid}","href":"/api-reference/agents/delete-a-single-procedure-and-its-steps"},{"title":"Update a single procedure (and replace its steps if provided)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/procedures/{procedureUuid}","href":"/api-reference/agents/update-a-single-procedure-and-replace-its-steps-if-provided"},{"title":"Phone numbers owned by an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/phone-numbers","href":"/api-reference/agents/phone-numbers-owned-by-an-agent"},{"title":"Channels and phone numbers for an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/channels","href":"/api-reference/agents/channels-and-phone-numbers-for-an-agent"},{"title":"Provision call channel for an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/channels/call/provision","href":"/api-reference/agents/provision-call-channel-for-an-agent"},{"title":"Get all voice settings","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/voice","href":"/api-reference/agents/get-all-voice-settings"},{"title":"Get interaction settings","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/interaction","href":"/api-reference/agents/get-interaction-settings"},{"title":"Update interaction settings","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/interaction","href":"/api-reference/agents/update-interaction-settings"},{"title":"Get interruption settings","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/interruption","href":"/api-reference/agents/get-interruption-settings"},{"title":"Update interruption settings","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/interruption","href":"/api-reference/agents/update-interruption-settings"},{"title":"Get voice profile","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/voice-profile","href":"/api-reference/agents/get-voice-profile"},{"title":"Update voice profile","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/voice-profile","href":"/api-reference/agents/update-voice-profile"},{"title":"Get supported voice tuning fields","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/voice-advanced","href":"/api-reference/agents/get-supported-voice-tuning-fields"},{"title":"Update voice tuning","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/voice-advanced","href":"/api-reference/agents/update-voice-tuning"},{"title":"Get call behavior","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/call-behavior","href":"/api-reference/agents/get-call-behavior"},{"title":"Update call behavior","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/call-behavior","href":"/api-reference/agents/update-call-behavior"},{"title":"Get compliance settings","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/compliance","href":"/api-reference/agents/get-compliance-settings"},{"title":"Update compliance settings","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/compliance","href":"/api-reference/agents/update-compliance-settings"},{"title":"Get phone normalizers","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/normalizers","href":"/api-reference/agents/get-phone-normalizers"},{"title":"Update phone normalizers","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/normalizers","href":"/api-reference/agents/update-phone-normalizers"},{"title":"Get automatic improvement and owner notification settings","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/requests/automation","href":"/api-reference/agents/get-automatic-improvement-and-owner-notification-settings"},{"title":"Configure automatic improvement and owner notifications","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/requests/automation","href":"/api-reference/agents/configure-automatic-improvement-and-owner-notifications"},{"title":"List Agent asks","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/requests","href":"/api-reference/agents/list-agent-asks"},{"title":"Create a manual request","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/requests","href":"/api-reference/agents/create-a-manual-request"},{"title":"Get a request and masked evidence","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/requests/{requestUuid}","href":"/api-reference/agents/get-a-request-and-masked-evidence"},{"title":"Answer a request and apply the approved capability","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/requests/{requestUuid}/answer","href":"/api-reference/agents/answer-a-request-and-apply-the-approved-capability"},{"title":"Skip a request","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/requests/{requestUuid}/skip","href":"/api-reference/agents/skip-a-request"},{"title":"Mute a request","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/requests/{requestUuid}/mute","href":"/api-reference/agents/mute-a-request"},{"title":"Reopen a request","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/requests/{requestUuid}/reopen","href":"/api-reference/agents/reopen-a-request"},{"title":"Recent conversation analysis runs","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/requests/runs","href":"/api-reference/agents/recent-conversation-analysis-runs"},{"title":"Queue conversation analysis","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/requests/synthesize","href":"/api-reference/agents/queue-conversation-analysis"},{"title":"List agent configuration versions","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/versions","href":"/api-reference/agents/list-agent-configuration-versions"},{"title":"Inspect a masked agent configuration version","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/versions/{versionUuid}","href":"/api-reference/agents/inspect-a-masked-agent-configuration-version"},{"title":"Rename a version without changing its contents or number","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/versions/{versionUuid}","href":"/api-reference/agents/rename-a-version-without-changing-its-contents-or-number"},{"title":"Restore an agent configuration as a new version","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/versions/{versionUuid}/restore","href":"/api-reference/agents/restore-an-agent-configuration-as-a-new-version"},{"title":"List webhooks for an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/webhooks","href":"/api-reference/agents/list-webhooks-for-an-agent"},{"title":"Add a webhook to this agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/webhooks","href":"/api-reference/agents/add-a-webhook-to-this-agent"},{"title":"Get one webhook","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/webhooks/{webhookUuid}","href":"/api-reference/agents/get-one-webhook"},{"title":"Delete a webhook","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/agents/{uuid}/webhooks/{webhookUuid}","href":"/api-reference/agents/delete-a-webhook"},{"title":"Update a webhook","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/webhooks/{webhookUuid}","href":"/api-reference/agents/update-a-webhook"},{"title":"List intents for an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/intents","href":"/api-reference/agents/list-intents-for-an-agent"},{"title":"Create an intent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/intents","href":"/api-reference/agents/create-an-intent"},{"title":"Get one intent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/intents/{intentUuid}","href":"/api-reference/agents/get-one-intent"},{"title":"Delete an intent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/agents/{uuid}/intents/{intentUuid}","href":"/api-reference/agents/delete-an-intent"},{"title":"Update an intent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/intents/{intentUuid}","href":"/api-reference/agents/update-an-intent"},{"title":"Get the intent's action (event)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/intents/{intentUuid}/event","href":"/api-reference/agents/get-the-intents-action-event"},{"title":"Set the intent's action (event)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/agents/{uuid}/intents/{intentUuid}/event","href":"/api-reference/agents/set-the-intents-action-event"},{"title":"Clear the intent's action (event)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/agents/{uuid}/intents/{intentUuid}/event","href":"/api-reference/agents/clear-the-intents-action-event"},{"title":"Publish the intent's action (make it live)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/intents/{intentUuid}/event/publish","href":"/api-reference/agents/publish-the-intents-action-make-it-live"},{"title":"Unpublish the intent's action (back to draft)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/intents/{intentUuid}/event/unpublish","href":"/api-reference/agents/unpublish-the-intents-action-back-to-draft"},{"title":"Test the intent's app action","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/intents/{intentUuid}/event/test","href":"/api-reference/agents/test-the-intents-app-action"}]},{"group":"Voice IVR \u0026 Guards","pages":[{"title":"Replace ALL routing rules for an agent (destructive)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/agents/{uuid}/routing-rules","href":"/api-reference/voice-ivr-\u0026-guards/replace-all-routing-rules-for-an-agent-destructive"},{"title":"Add ONE routing rule (preserves existing rules)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/routing-rules","href":"/api-reference/voice-ivr-\u0026-guards/add-one-routing-rule-preserves-existing-rules"},{"title":"Replace ALL guard rules for an agent (destructive)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/agents/{uuid}/guard-rules","href":"/api-reference/voice-ivr-\u0026-guards/replace-all-guard-rules-for-an-agent-destructive"},{"title":"Add ONE guard rule (preserves existing rules)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/guard-rules","href":"/api-reference/voice-ivr-\u0026-guards/add-one-guard-rule-preserves-existing-rules"},{"title":"Delete ONE routing rule (other rules untouched)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/agents/{uuid}/routing-rules/{ruleUuid}","href":"/api-reference/voice-ivr-\u0026-guards/delete-one-routing-rule-other-rules-untouched"},{"title":"Partially update ONE routing rule","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/routing-rules/{ruleUuid}","href":"/api-reference/voice-ivr-\u0026-guards/partially-update-one-routing-rule"},{"title":"Delete ONE guard rule (other guards untouched)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/agents/{uuid}/guard-rules/{ruleUuid}","href":"/api-reference/voice-ivr-\u0026-guards/delete-one-guard-rule-other-guards-untouched"},{"title":"Partially update ONE guard rule","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json patch /api/v1/agents/{uuid}/guard-rules/{ruleUuid}","href":"/api-reference/voice-ivr-\u0026-guards/partially-update-one-guard-rule"}]},{"group":"Agent Channel Bindings","pages":[{"title":"Assign an SMS phone number to an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/channels/sms","href":"/api-reference/agent-channel-bindings/assign-an-sms-phone-number-to-an-agent"},{"title":"Unbind the SMS channel from this agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/channels/sms/unbind","href":"/api-reference/agent-channel-bindings/unbind-the-sms-channel-from-this-agent"},{"title":"Assign a WhatsApp number to an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/channels/whatsapp","href":"/api-reference/agent-channel-bindings/assign-a-whatsapp-number-to-an-agent"},{"title":"Assign a WhatsApp Calling number to an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/channels/whatsapp-call","href":"/api-reference/agent-channel-bindings/assign-a-whatsapp-calling-number-to-an-agent"},{"title":"Unbind the WhatsApp channel from this agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/channels/whatsapp/unbind","href":"/api-reference/agent-channel-bindings/unbind-the-whatsapp-channel-from-this-agent"},{"title":"Unbind WhatsApp Calling from this agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/channels/whatsapp-call/unbind","href":"/api-reference/agent-channel-bindings/unbind-whatsapp-calling-from-this-agent"},{"title":"Assign an Instagram account to an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/channels/instagram","href":"/api-reference/agent-channel-bindings/assign-an-instagram-account-to-an-agent"},{"title":"Unbind the Instagram channel from this agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/channels/instagram/unbind","href":"/api-reference/agent-channel-bindings/unbind-the-instagram-channel-from-this-agent"},{"title":"Assign a Facebook page (Messenger) to an agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/channels/messenger","href":"/api-reference/agent-channel-bindings/assign-a-facebook-page-messenger-to-an-agent"},{"title":"Unbind the Messenger channel from this agent","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/channels/messenger/unbind","href":"/api-reference/agent-channel-bindings/unbind-the-messenger-channel-from-this-agent"}]},{"group":"Agent Knowledge Base","pages":[{"title":"List an agent's knowledge tables","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/agents/{uuid}/knowledge-base","href":"/api-reference/agent-knowledge-base/list-an-agents-knowledge-tables"},{"title":"Search an agent's knowledge base","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agents/{uuid}/knowledge-base/search","href":"/api-reference/agent-knowledge-base/search-an-agents-knowledge-base"},{"title":"Update the agent's knowledge retrieval settings","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/agents/{uuid}/knowledge-base/settings","href":"/api-reference/agent-knowledge-base/update-the-agents-knowledge-retrieval-settings"}]},{"group":"Agentic Search","pages":[{"title":"Agentic web search and analysis","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/agentic-search","href":"/api-reference/agentic-search/agentic-web-search-and-analysis"}]},{"group":"Analytics","pages":[{"title":"Appointment lifecycle metrics (event-in-period semantics)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/analytics/appointments","href":"/api-reference/analytics/appointment-lifecycle-metrics-event-in-period-semantics"},{"title":"Aggregated call metrics for a time window (authoritative call count)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/analytics/calls","href":"/api-reference/analytics/aggregated-call-metrics-for-a-time-window-authoritative-call-count"},{"title":"Per-channel conversation rollup","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/analytics/conversations","href":"/api-reference/analytics/per-channel-conversation-rollup"},{"title":"Distribution of AI evaluations across sentiment, emotion, satisfaction, outcome, escalation, and knowledge gap","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/analytics/evaluations","href":"/api-reference/analytics/distribution-of-ai-evaluations-across-sentiment-emotion-satisfaction-outcome-escalation-and-knowledge-gap"},{"title":"Intent breakdown with outcome and per-channel distribution","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/analytics/intents","href":"/api-reference/analytics/intent-breakdown-with-outcome-and-per-channel-distribution"},{"title":"Cursor-paginated raw message export","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/analytics/messages","href":"/api-reference/analytics/cursor-paginated-raw-message-export"},{"title":"Cross-channel conversation-session metrics","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/analytics/sessions","href":"/api-reference/analytics/cross-channel-conversation-session-metrics"}]},{"group":"Contact Analyzers","pages":[{"title":"List analyzer configurations","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/analyzers","href":"/api-reference/contact-analyzers/list-analyzer-configurations"},{"title":"Get a single analyzer","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/analyzers/{internal_id}","href":"/api-reference/contact-analyzers/get-a-single-analyzer"},{"title":"Update an analyzer configuration","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/analyzers/{internal_id}","href":"/api-reference/contact-analyzers/update-an-analyzer-configuration"},{"title":"Bulk update analyzers","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/analyzers/bulk","href":"/api-reference/contact-analyzers/bulk-update-analyzers"}]},{"group":"Call","pages":[{"title":"Initiate a new call","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/call","href":"/api-reference/call/initiate-a-new-call"},{"title":"Get paginated list of calls","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/calls","href":"/api-reference/call/get-paginated-list-of-calls"},{"title":"Get call details by UUID","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/calls/{uuid}","href":"/api-reference/call/get-call-details-by-uuid"}]},{"group":"WhatsApp","pages":[{"title":"Send WhatsApp template message","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/whatsapp/template","href":"/api-reference/whatsapp/send-whatsapp-template-message"},{"title":"Reply within a WhatsApp conversation","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/whatsapp/conversations/{uuid}/reply","href":"/api-reference/whatsapp/reply-within-a-whatsapp-conversation"}]},{"group":"SMS","pages":[{"title":"Send an SMS message","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/sms/send","href":"/api-reference/sms/send-an-sms-message"},{"title":"Reply within an SMS conversation","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/sms/conversations/{uuid}/reply","href":"/api-reference/sms/reply-within-an-sms-conversation"},{"title":"What sending a message costs, by country","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/sms/rates","href":"/api-reference/sms/what-sending-a-message-costs-by-country"}]},{"group":"Appointments","pages":[{"title":"Get all appointments (calendar)","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/appointments","href":"/api-reference/appointments/get-all-appointments-calendar"},{"title":"Create a new appointment","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/appointments","href":"/api-reference/appointments/create-a-new-appointment"},{"title":"Get a specific appointment","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/appointments/{uuid}","href":"/api-reference/appointments/get-a-specific-appointment"},{"title":"Update an appointment","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json put /api/v1/appointments/{uuid}","href":"/api-reference/appointments/update-an-appointment"},{"title":"Delete an appointment","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json delete /api/v1/appointments/{uuid}","href":"/api-reference/appointments/delete-an-appointment"},{"title":"Update appointment status","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/appointments/{uuid}/status","href":"/api-reference/appointments/update-appointment-status"}]},{"group":"Appointment Requests","pages":[{"title":"Get list of appointment requests","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/appointment-requests","href":"/api-reference/appointment-requests/get-list-of-appointment-requests"},{"title":"Create a new appointment request","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/appointment-requests","href":"/api-reference/appointment-requests/create-a-new-appointment-request"},{"title":"Get a specific appointment request","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/appointment-requests/{uuid}","href":"/api-reference/appointment-requests/get-a-specific-appointment-request"},{"title":"Cancel an appointment request","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json post /api/v1/appointment-requests/{uuid}/cancel","href":"/api-reference/appointment-requests/cancel-an-appointment-request"},{"title":"Get available time slots for a schedule","deprecated":null,"version":null,"openapi":"https://app.mihu.ai/docs/api-docs.json get /api/v1/appointment-requests/ava
[...]
